
Name:           sane-backends-iscan-firmware
Version:        1.0.22
Release:        %mkrel 3
URL:            http://www.avasys.jp/english/linux_e/index.html
License:        NON-OSI-COMPLIANT(royalties)
Group:          Graphics
AutoReqProv:    on
Summary:        Firmware files for Epson scanners
BuildArch:      noarch
Source0:        iscan-firmware-2.8.0.1.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build


%description
Firmware files are only needed for the following scanners:

esfw41.bin: Perfection 2480 PHOTO / GT-F500, Perfection 2580 PHOTO /
GT-F550

esfw32.bin: Perfection 3170 PHOTO / GT-9400UF

esfw52.bin: Perfection 3490 PHOTO / GT-F520, Perfection 3590 PHOTO /
GT-F570

esfw43.bin: Perfection 4180 PHOTO / GT-F600

esfw54.bin: Perfection 4490 PHOTO / GT-X750

esfw66.bin: Perfection V10 / GT-S600, Perfection V100 PHOTO / GT-F650

esfw68.bin: Perfection V350 PHOTO / GT-F700

esfw7A.bin: Perfection V200 PHOTO / GT-F670

For the license see the EAPL and LICENSE files in
/usr/share/doc/packages/iscan-firmware/


%prep
%setup -q -n iscan-proprietary-drivers-2.8.0.1

%build

%install
install -d %{buildroot}%{_datadir}/iscan/
install -m 644 usr/share/iscan/esfw* %{buildroot}%{_datadir}/iscan/
install -d %{buildroot}%{_defaultdocdir}/%{name}
pushd usr/share/doc
for d in *
do install -d %{buildroot}%{_defaultdocdir}/%{name}/$d
   install -m 644 $d/* %{buildroot}%{_defaultdocdir}/%{name}/$d
done
popd

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}/
%{_datadir}/iscan/


%changelog
* Tue Jul 30 2019 tex - 1.0.22-3pclos2019
- rebuild against updates

* Sat Jul 09 2011 Texstar <texstar at gmail.com> 1.0.22-2pclos2011
- create package for pclos

